Bug 811819 - [abrt] lilypond-2.14.2-1.fc16: scm_gc_mark: Process /usr/bin/lilypond was killed by signal 11 (SIGSEGV)
[abrt] lilypond-2.14.2-1.fc16: scm_gc_mark: Process /usr/bin/lilypond was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lilypond (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:07ff2ad6320939cc8ce0d941d72...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 01:11 EDT by Christopher Antila
Modified: 2013-02-13 20:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:53:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (18.77 KB, text/plain)
2012-04-12 01:11 EDT, Christopher Antila
no flags Details
File: backtrace (72.17 KB, text/plain)
2012-04-12 01:12 EDT, Christopher Antila
no flags Details
File: backtrace (74.40 KB, text/plain)
2012-04-22 00:16 EDT, Miloslav Trmač
no flags Details

  None (edit)
Description Christopher Antila 2012-04-12 01:11:54 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        lilypond -ddelete-intermediate-files -dpoint-and-click --pdf '/home/crantila/Documents/Classes/Performance Analysis/paper/ly/Br8-i at G.ly'
crash_function: scm_gc_mark
executable:     /usr/bin/lilypond
kernel:         3.3.1-3.fc16.x86_64
pid:            8410
pwd:            /home/crantila/Documents/Classes/Performance Analysis/paper/ly
reason:         Process /usr/bin/lilypond was killed by signal 11 (SIGSEGV)
time:           Wed 11 Apr 2012 10:23:17 PM EDT
uid:            1000
username:       crantila

backtrace:      Text file, 73897 bytes
maps:           Text file, 19217 bytes

build_ids:
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:a638ccc3535e307dfbe8338df04ee414b42a606c
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:f0d50e3af2dfee021a327fb85a993a2312a98145
:638db099ff5fb986d1a092629d1bb1dca5be4904
:2639b5594fe4d7897db63ecd1ebb9681438317a8
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:347d4e0aac51f7afcabf83db21ce15b56ca2f185
:58f626f3815dd6adeb4a543bca2472ab98f2953b
:56cd5a4b8ecf7f375c95a4fd575895efbe294071
:6fecdec912802676e0bfe39cec63cd8358bf0f2e
:48aea888319e1848137073c9cbde54a4c2a731c9
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:e2e67b3ae2579e1667b73ad385f61552931024e9
:75eaece6e0d1e075520cdfad5c398fdab4370846
:07470201df55a5254027d05fa4dc509b10f2986a
:0fe03f2aa418c7dbfdc2d0d1802a8e86b27d3120
:e2d68a0ee0872365dcc8c6640b7cd7b94c8276f2
:d460d68692c1b32346f469e0a9ab3933cf1f3d1c
:61c5ae238d0e9de5ae0fef48f74d0e58c2906fa7
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:3269336f76283d9cebaa8222e0017c80fd14bdf6
:34e8b3cee73a6d0b8ac17c69ba4b1170724db64c
:e4a9112ccdddc67344cde7f60d45d4dae08d2f58
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330227063
:/lib64/libfreebl3.so nss-softokn-freebl-3.13.3-1.fc16.x86_64 (Fedora Project) 1332091567
:/usr/share/fonts/lilypond/emmentaler-23.otf lilypond-emmentaler-fonts-2.14.2-1.fc16.x86_64 (Fedora Project) 1324254156
:/usr/share/fonts/lilypond/emmentaler-14.otf lilypond-emmentaler-fonts-2.14.2-1.fc16.x86_64 (Fedora Project) 1324254156
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330227063
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330227071
:/lib64/libgthread-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.x86_64 (Fedora Project) 1327123693
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1324246062
:/usr/share/fonts/lilypond/emmentaler-13.otf lilypond-emmentaler-fonts-2.14.2-1.fc16.x86_64 (Fedora Project) 1324254156
:/usr/bin/lilypond lilypond-2.14.2-1.fc16.x86_64 (Fedora Project) 1324254158
:/lib64/librt-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330227063
:/usr/lib64/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1324246186
:/usr/lib64/libguile-srfi-srfi-1-v-3.so.3.0.2 guile-5:1.8.8-3.fc16.x86_64 (Fedora Project) 1324254131
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-4.fc16.x86_64 (Fedora Project) 1324249992
:/usr/share/fonts/lilypond/emmentaler-18.otf lilypond-emmentaler-fonts-2.14.2-1.fc16.x86_64 (Fedora Project) 1324254156
:/usr/share/fonts/lilypond/emmentaler-11.otf lilypond-emmentaler-fonts-2.14.2-1.fc16.x86_64 (Fedora Project) 1324254156
:/usr/lib64/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1324246186
:/lib64/libgmodule-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.x86_64 (Fedora Project) 1327123693
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330227063
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330227063
:/usr/share/fonts/lilypond/CenturySchL-Bold.otf lilypond-century-schoolbook-l-fonts-2.14.2-1.fc16.x86_64 (Fedora Project) 1324246500
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330227063
:/lib64/libgobject-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.x86_64 (Fedora Project) 1327123693
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330227063
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.3-2.fc16.x86_64 (Fedora Project) 1332622789
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-9.fc16.x86_64 (Fedora Project) 1332622888
:/usr/share/fonts/lilypond/emmentaler-16.otf lilypond-emmentaler-fonts-2.14.2-1.fc16.x86_64 (Fedora Project) 1324254156
:/usr/lib64/libgmp.so.3.5.2 gmp-1:4.3.2-4.fc16.x86_64 (Fedora Project) 1324246032
:/usr/share/fonts/lilypond/CenturySchL-Ital.otf lilypond-century-schoolbook-l-fonts-2.14.2-1.fc16.x86_64 (Fedora Project) 1324246500
:/usr/share/fonts/lilypond/CenturySchL-Roma.otf lilypond-century-schoolbook-l-fonts-2.14.2-1.fc16.x86_64 (Fedora Project) 1324246500
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1324246026
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1324246022
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330227063
:/lib64/libglib-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.x86_64 (Fedora Project) 1327123693
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330227063
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1332622787
:/usr/share/fonts/lilypond/emmentaler-20.otf lilypond-emmentaler-fonts-2.14.2-1.fc16.x86_64 (Fedora Project) 1324254156
:/usr/lib64/libguile.so.17.4.0 guile-5:1.8.8-3.fc16.x86_64 (Fedora Project) 1324254131

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1834
:XDG_SESSION_ID=2
:HOSTNAME=franklin-willibald-tovey.<<>>
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=<<>>
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=565cd72ddb6b0a4df03589a100000018-1334190738.376316-1040961794
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/crantila/.gtkrc-2.0:/home/crantila/.gtkrc-2.0-kde4:/home/crantila/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=<<>>
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=crantila
:SSH_AUTH_SOCK=/tmp/ssh-YPrmxFuX1705/agent.1705
:USERNAME=crantila
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/crantila/.local/texlive/2011/bin/x86_64-linux:/home/crantila/bin
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/crantila
:QT_IM_MODULE=xim
:PWD=/home/crantila
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=1701
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=kde-plasma
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:HOME=/home/crantila
:XDG_SEAT=seat0
:SHLVL=2
:KDE_SESSION_VERSION=4
:LOGNAME=crantila
:CVS_RSH=ssh
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-cxBwBeJuki,guid=01b74d7d92f6b84f3c55089800000029
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/crantila
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/crantila/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-crantila/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1937,unix/unix:/tmp/.ICE-unix/1937
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/crantila/.gtkrc:/home/crantila/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:LANGUAGE=

smolt_data:
:
:
:General
:=================================
:UUID: 7e72c6a3-d953-431d-920a-fc32ec7ff99e
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 7023.80
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X3 720 Processor
:CPU Stepping: 2
:CPU Family: 16
:CPU Model Num: 4
:Number of CPUs: 3
:CPU Speed: 3500
:System Memory: 3954
:System Swap: 8191
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.1-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4130:38406:4130:38400) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 2)
:(4098:17297:4098:17297) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:38400:4130:38400) pci, None, HOST/PCI, RS780 Host Bridge
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(6505:4134:4163:33564) pci, ATL1E, ETHERNET, AR8121/AR8113/AR8114 Gigabit or Fast Ethernet
:(4130:38403:4130:38400) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(4098:17308:4098:17308) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:4098:17285) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:4098:17283) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4163:33623) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:4098:17302) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4318:1601:5218:5489) pci, nouveau, VIDEO, G96 [GeForce 9400 GT]
:(4098:17303:4098:17304) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:4098:17305) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:4098:17303) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:4098:17304) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:4098:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-00d4f388-f0cb-4222-8b81-b7d2021997a0 / ext4 4096 4096 5226252 2147160 1885042 1310720 1034242 1034242
:/dev/mapper/vg_fwt-f16_boot /boot ext4 1024 1024 129267 48440 41887 32768 32536 32536
:/dev/mapper/luks-ba1fbf97-4d4d-4373-828c-a52d53b03fcf /home ext4 4096 4096 65459675 44504993 41228233 16384000 16033513 16033513
:/dev/md2 WITHHELD ext4 4096 4096 55706790 23008836 20220153 13950976 13944326 13944326
:/dev/mapper/luks-e9a06d7e-51c8-4b7d-aa72-2276ea0ecea3 /var ext4 4096 4096 5226252 4295644 4033526 1310720 1274476 1274476
:

var_log_messages:
:Apr 11 22:23:17 franklin-willibald-tovey kernel: [ 6700.029672] lilypond[8410] general protection ip:3856e58dc3 sp:7fff3496e4d8 error:0 in libguile.so.17.4.0[3856e00000+e8000]
:Apr 11 22:23:18 franklin-willibald-tovey abrt[8411]: Saved core dump of pid 8410 (/usr/bin/lilypond) to /var/spool/abrt/ccpp-2012-04-11-22:23:17-8410 (90992640 bytes)
Comment 1 Christopher Antila 2012-04-12 01:11:58 EDT
Created attachment 576936 [details]
File: maps
Comment 2 Christopher Antila 2012-04-12 01:12:01 EDT
Created attachment 576937 [details]
File: backtrace
Comment 3 Gwyn Ciesla 2012-04-12 11:32:59 EDT
A: Is this repeatable?

B: Does this occur with other .ly files?

C: Can you attach one where it crashes, and if applicable, one where it doesn't?  You can also email me directly to my BZ email address if you'd rather not have them publically available.
Comment 4 Christopher Antila 2012-04-12 23:43:51 EDT
Hi, and thanks for the quick response.

A) No.
B) No.
C) No.

I didn't even notice the crash except through ABRT. If you don't mind, I'd like to keep the bug open and I'll experiment with the file and whether I can make it crash LilyPond again. But I won't be able to do that for a month.

This is definitely low priority, but if we can find and fix an obscure bug, why not?
Comment 5 Gwyn Ciesla 2012-04-13 08:00:50 EDT
Never hurts. :)  Keep me posted.
Comment 6 Miloslav Trmač 2012-04-22 00:16:41 EDT
??????????

backtrace_rating: 4
Package: lilypond-2.14.2-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 7 Miloslav Trmač 2012-04-22 00:16:49 EDT
Created attachment 579250 [details]
File: backtrace
Comment 8 Christopher Antila 2012-08-25 16:37:07 EDT
I was never able to reproduce this, though I tried more than once. Especially now that you've brought 2.16.0 into updates-testing, let's close about this unless Miloslav adds something in the next couple of days.
Comment 9 Miloslav Trmač 2012-08-28 07:24:03 EDT
With lilypond-2.15.39-1.fc17.x86_64 , I get syntax errors with the current version of my reproducer (which is probably different from the one that originally caused the crash) - so I don't think I can help with reproducing this crash either.
Comment 10 Fedora End Of Life 2013-01-16 18:29:05 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 20:54:04 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.